<?php // no direct access
defined('_JEXEC') or die('Restricted access'); ?>
<!--BEGIN Search Box -->

<div class="icon_top">
<button data-toggle="modal" data-target="#searchModal">
	<i class="fa fa-search fa-lg"></i>
</button>
</div>
<!-- Modal -->
<div id="searchModal" class="modal search_products fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-body">
				<div class="content_search">
				<form id="form_search_top" action="<?php echo JRoute::_('index.php?option=com_virtuemart&view=category&search=true&limitstart=0&virtuemart_category_id='.$category_id ); ?>" method="get">
					<div class="search">
						<?php $output = '<input name="keyword" id="mod_virtuemart_search" maxlength="'.$maxlength.'" class="inputbox'.$moduleclass_sfx.'" type="text" size="'.$width.'" placeholder="'.$text.'" />';
						$image = JURI::base().'components/com_virtuemart/assets/images/vmgeneral/search.png' ;

						if ($button) :
							if ($imagebutton) :
								$button = '<input style="vertical-align :middle;height:16px;border: 1px solid #CCC;" type="image" value="'.$button_text.'" class="button'.$moduleclass_sfx.'" src="'.$image.'" onclick="this.form.keyword.focus();"/>';
							else :
								$button = '<button type="submit" form="form_search_top" value="Submit"><i class="fa fa-search fa-lg"></i></button>';
							endif;


							switch ($button_pos) :
								case 'top' :
									$button = $button.'<br />';
									$output = $button.$output;
									break;

								case 'bottom' :
									$button = '<br />'.$button;
									$output = $output.$button;
									break;

								case 'right' :
									$output = $output.$button;
									break;

								case 'left' :
								default :
									$output = $button.$output;
									break;
							endswitch;
						endif;

						echo $output;
						?>
					</div>
					<input type="hidden" name="limitstart" value="0" />
					<input type="hidden" name="option" value="com_virtuemart" />
					<input type="hidden" name="view" value="category" />
					<input type="hidden" name="virtuemart_category_id" value="<?php echo $category_id; ?>"/>
					<?php if(!empty($set_Itemid)){
						echo '<input type="hidden" name="Itemid" value="'.$set_Itemid.'" />';
					} ?>

				</form>
				</div>
			</div>
		</div>

	</div>
</div>